#property  indicator_separate_window
#property  indicator_buffers 1
#property  indicator_color1  Silver
#property  indicator_width1  2
#property  indicator_minimum 0

extern string fileName = "USDSEK1.csv";
double     volumeBuffer[];
 
//+------------------------------------------------------------------
//|                         |
//+------------------------------------------------------------------
int init()
{
   SetIndexBuffer(0,volumeBuffer); SetIndexStyle(0,DRAW_HISTOGRAM);
   IndicatorShortName(fileName+" imported data");
   return(0);
}
int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars>0) counted_bars--;
         int limit=Bars-counted_bars;
   
   static bool dataImported=false;
   static int  previousBars=0;
         if ( !dataImported  || previousBars != Bars)
         {
            int handle = FileOpen(fileName,FILE_SHARE_READ|FILE_CSV,",");
            if( handle!= -1)
               while (!FileIsEnding(handle))
               {
                  string sdate  = FileReadString(handle);
                  string stime  = FileReadString(handle);
                  string sopen  = FileReadString(handle);
                  string shigh  = FileReadString(handle);
                  string slow   = FileReadString(handle);
                  string sclose = FileReadString(handle);
                  string svol   = FileReadString(handle);
                     datetime time = StringToTime(sdate+" "+stime);
                         int shift = iBarShift(NULL,0,time);
                         volumeBuffer[shift] = StringToDouble(svol);
               }
               Comment(TimeToStr(time,TIME_DATE|TIME_SECONDS),"    ",shift);
               dataImported=true;
               previousBars=Bars;
         }
   return(0);
}